This is an automated email from the ASF dual-hosted git repository.
evansye pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/bigtop.git
The following commit(s) were added to refs/heads/master by this push:
new 3b88121 BIGTOP-3177. [Build] Exit w/o container left dangling when
running docker in gradle wrapper (#485)
3b88121 is described below
commit 3b88121af9526eac58d5a39638a127ef84ac222e
Author: Evans Ye <[email protected]>
AuthorDate: Tue Feb 26 18:56:55 2019 +0800
BIGTOP-3177. [Build] Exit w/o container left dangling when running docker
in gradle wrapper (#485)
---
bigtop-ci/build.sh | 1 +
gradle/wrapper/gradle-wrapper.properties | 2 +-
2 files changed, 2 insertions(+), 1 deletion(-)
diff --git a/bigtop-ci/build.sh b/bigtop-ci/build.sh
index e516f6f..de5b4fb 100755
--- a/bigtop-ci/build.sh
+++ b/bigtop-ci/build.sh
@@ -73,6 +73,7 @@ fi
# Start up build container
CONTAINER_ID=`docker run -d $NEXUS $IMAGE_NAME /sbin/init`
+trap "docker rm -f $CONTAINER_ID" EXIT
# Copy bigtop repo into container
docker cp $BIGTOP_HOME $CONTAINER_ID:/bigtop
diff --git a/gradle/wrapper/gradle-wrapper.properties
b/gradle/wrapper/gradle-wrapper.properties
index 44c5547..b6ffe49 100644
--- a/gradle/wrapper/gradle-wrapper.properties
+++ b/gradle/wrapper/gradle-wrapper.properties
@@ -17,4 +17,4 @@ distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
-distributionUrl=https\://services.gradle.org/distributions/gradle-4.3-bin.zip
+distributionUrl=https\://services.gradle.org/distributions/gradle-5.2-bin.zip